> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rendernet.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Voices

> The list voices endpoint lets users retrieve a list of available Voices that can be used for generating Lip Sync videos by providing script. The response will return a paginated list of all available Voices along with their details such as age, gender, accent, voice for demo etc.



## OpenAPI

````yaml get /pub/v1/voices
openapi: 3.0.2
info:
  description: >-
    The Affogato API section provides a comprehensive set of APIs that allow you
    to create high-quality media content using textual and graphical inputs. By
    utilizing the features provided in this section, users can easily generate
    engaging visuals and media assets.You need an API key to use these APIs. To
    get your personal key, log in to Affogato, head to the account page at
    [Affogato](https://affogato.ai/account) and hit generate API key. Add this
    key as an X-API-Key header in the requests that you send.
  title: Affogato API
  version: '1.0'
servers: []
security: []
tags:
  - description: >-
      The Generation section allows users to create, view, and delete images on
      Rendernet.
    name: Generation
  - description: >-
      Explore all available resources that can be used for generating images on
      Rendernet. With this section, users can easily access key details about
      the resources at their disposal.
    name: Resources
  - description: Upload / Get information about assets that can be used for generation.
    name: Assets
paths:
  /pub/v1/voices:
    get:
      tags:
        - Resources
      summary: List Resources
      description: >-
        The list voices endpoint lets users retrieve a list of available Voices
        that can be used for generating Lip Sync videos by providing script. The
        response will return a paginated list of all available Voices along with
        their details such as age, gender, accent, voice for demo etc.
      parameters:
        - description: The page number of the resource list
          in: query
          name: page
          required: false
          schema:
            type: integer
        - description: The page size of the resource list
          in: query
          name: page_size
          required: false
          schema:
            type: integer
        - description: >-
            API key needed to access our public endpoints. You can find yours
            under the 'Account' section of the website
          required: true
          schema:
            type: string
            title: X-API-KEY
            description: >-
              API key needed to access our public endpoints. You can find yours
              under the 'Account' section of the website
          name: X-API-KEY
          in: header
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListVoicesSuccessResponse'
          description: Successful response containing the list of resources
components:
  schemas:
    ListVoicesSuccessResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/ListVoice'
          type: array
        err:
          description: The error if the request was not successful
          type: object
        pagination:
          $ref: '#/components/schemas/Pagination'
          description: The pagination data of the request
          type: object
      type: object
    ListVoice:
      properties:
        age:
          description: The age group that the voice belongs to
          example: young
          type: string
        name:
          description: >-
            The name of the voice. This is the name that can be used for
            Narrator generation
          example: Rachel
          type: string
        accent:
          description: The accent of the voice
          example: american
          type: string
        gender:
          description: The gender of the voice
          example: female
          type: string
        description:
          description: The voice descriptor
          example: calm
          type: string
        demo:
          description: The link to access voice for demo
          example: >-
            https://storage.googleapis.com/21m00Tcm4TlvDq8ikWAM/b4928a68-c03b-411f-8533-3d5c299fd451.mp3
          type: string
      type: object
    Pagination:
      properties:
        page:
          description: The page number
          example: 1
          type: integer
        page_size:
          description: The page size
          example: 10
          maximum: 50
          minimum: 1
          type: integer
        total:
          description: The total number of items
          example: 100
          type: integer
      type: object

````